unit ufenxi;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, System.ComponentModel;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  x,y:integer;
begin
  x:=0;
  y:=0;
  while True do
    begin
      x:=x+1;
      if x mod 2=0 then
          continue
      else if x>=10 then
          break
          else
           y:=y+x;
    end;
  edit1.Text:=inttostr(y);
end;

end.
